Public Class frmGlobix_IndexFileList
    Private Sub frmGlobixIndexFileList_Load(sender As Object, e As EventArgs) Handles Me.Load
        Try
            Dim oSQL = $"Select * From TBGI_FILES_USER Where WORKED = 0 And (UPPER([USER@WORK]) = UPPER('{My.Application.User.UserName}'))"
            Dim oDT As DataTable = My.DatabaseECM.GetDatatable(oSQL)
            If oDT.Rows.Count > 0 Then
                CheckedListBox1.DataSource = oDT
                CheckedListBox1.DisplayMember = oDT.Columns("FILENAME_ONLY").ColumnName
                CheckedListBox1.ValueMember = oDT.Columns(0).ColumnName

            End If
        Catch ex As Exception
            MsgBox("Unexpected error while loading data: " & ex.Message, vbCritical)
        End Try
    End Sub
End Class

